
import React,{Component, PureComponent}  from 'react';
import {
    StyleSheet,
    View,
    Text,
    TouchableWithoutFeedback,
    Dimensions,
    Image,
    Animated,
} from 'react-native';

import WMView from '../../WMView';

let {height, width} = Dimensions.get('window');

import LottieView from 'lottie-react-native';

export default class LoadingView extends PureComponent {

    // 构造
    constructor(props) {
        super(props);
    }

    componentDidMount(){
        this.startAnim();
    }

    componentWillUnmount(){
        this.stopAnim();
    }

    componentDidUpdate() {
    }

    /**
     * 开始动画
     */
    startAnim = ()=>{
        this.refs.lottieView && this.refs.lottieView.play();
    }

    /**
     * 停止动画
     */
    stopAnim = ()=>{
        this.refs.lottieView && this.refs.lottieView.reset();
    }

    render() {

        const { style } = this.props;
        return (
            <WMView pointerEvents={'none'} style={[styles.container, style]}>

                <View style={styles.loading}>
                    <LottieView
                        ref={'lottieView'}
                        source={require('../../anim_data/anim_loading.json')}
                    />
                </View>

            </WMView>
        );
    }

}


const styles = StyleSheet.create({
    container: {
        backgroundColor: '#000000b0',
        width:120,
        height:120,
        borderRadius: 10,
        justifyContent: 'center',
        alignItems: 'center',
    },
    loading: {
        width:50,
        height:50,
    }
})